Subject: Re: PlWin Chrashes on Halt (Was: Thank you, but...)

From: Jan Wielemaker <[email-masked]>
Date: Thu, 19 Oct 2000 14:11:07 +0200

> Jan Wielemaker schrieb:
> > 
> > > Is the version number after the installation of MSVC 5.0 the same ???
> 
> Does no answer means Yes ?

Don't know. Hoe to you find out without MSVC installed? Problem is I
lost my test machine as the problem went after installing MSVC 5.0 and
the owner isn't too happy to reinstall the entire system to make a bug
come back ...

> Only for sure : 
> 	Crash PlCon too ???

Dunno.  Never heart of it.  Might be because it is used far less
frequent.  Anyone?

> > > An other way to fix this bug is to clean all the memmory used by PLWin
> > > properly on PLHalt(). But I thik this is a hard work.
> > 
> > You're still assuming an msvcrt.dll bug, but I'm moving away from that.
> 
> If PlCon works fine I attempt to think about some dependencies that
> comes from 
> 	#include <windows.h>
> In <windows.h> the windows version of the system where the compiler runs
> on makes a difference. (define WINVER)

PlCon also includes <windows.h> for DDE and DLL handling.

Also promising might be that PlWin is multi-threaded, using the main
thread to run Prolog itself and a small helper to run the I/O window.

> > Big problem is access to a machine we can quickly clean, shows the
> > problem, can install things and don't mind if it completely falls down.
> 
> On which Win95 / Win98 system the error occur ?
> there was 4 different Win95 and I think 2 diff. Win98 on the marked.

Anyone?  Both working and non-working setups are welcome?  

> Next week I can try to reproduce the error on our test system.
> (special system to test our install progs. 
> It restore an disk image in a few minutes)

Nice, though I prefer a computer that simply works :-)

	Cheers --- Jan